
/*
 * @test TestImplicitNullChecks2
 * @run main/othervm -XX:+UseShenandoahGC -XX:-UseCompressedOops -XX:CompileOnly=TestImplicitNullChecks2.test TestImplicitNullChecks2
 */
public class TestImplicitNullChecks2 {

    public static class Test {
	public int x;
    }

    public static void main(String[] args) {
	try {
	    for (int x = 0; x < 1000000; x++) {
		Test t = new Test();
		test(t);
	    }
	    test(null);
	} catch (NullPointerException ex) {
	    // Ok.
	}
    }

    private static int test(Test t) {
	return t.x;
    }
}
